de.vc.util

## Class DecoratedMap<K,V>

- java.lang.Object
- - de.vc.util.DelegatingMap
  - - de.vc.util.DecoratedMap<K,V>

- All Implemented Interfaces:
    java.util.Map

      public class DecoratedMap<K,V>
      extends DelegatingMap

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from class de.vc.util.DelegatingMap

      `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoratedMap()`
    `DecoratedMap(java.util.Map<K,V> map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBoolean(java.lang.Object key)`
    `boolean` | `getBoolean(java.lang.Object key, boolean def)`
    `double` | `getDouble(java.lang.Object key)`
    `double` | `getDouble(java.lang.Object key, double def)`
    `int` | `getInteger(java.lang.Object key)`
    `int` | `getInteger(java.lang.Object key, int def)`
    `long` | `getLong(java.lang.Object key)`
    `long` | `getLong(java.lang.Object key, long def)`
    `java.lang.String` | `getString(java.lang.Object key)`
    `java.lang.String` | `getString(java.lang.Object key, java.lang.String def)`
    `void` | `set(java.lang.Object key, boolean v)`
    `void` | `set(java.lang.Object key, double v)`
    `void` | `set(java.lang.Object key, long v)`
    `void` | `set(java.lang.Object key, java.lang.String v)`

    - ### Methods inherited from class de.vc.util.DelegatingMap

      `clear, containsKey, containsValue, entrySet, equals, get, getMap, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoratedMap

          public DecoratedMap()

    - #### DecoratedMap

          public DecoratedMap(java.util.Map<K,V> map)

  - ### Method Detail

    - #### getBoolean

          public boolean getBoolean(java.lang.Object key)

    - #### getBoolean

          public boolean getBoolean(java.lang.Object key,
                           boolean def)

    - #### getLong

          public long getLong(java.lang.Object key)

    - #### getLong

          public long getLong(java.lang.Object key,
                     long def)

    - #### getInteger

          public int getInteger(java.lang.Object key)

    - #### getInteger

          public int getInteger(java.lang.Object key,
                       int def)

    - #### getDouble

          public double getDouble(java.lang.Object key)

    - #### getDouble

          public double getDouble(java.lang.Object key,
                         double def)

    - #### getString

          public java.lang.String getString(java.lang.Object key)

    - #### getString

          public java.lang.String getString(java.lang.Object key,
                                   java.lang.String def)

    - #### set

          public void set(java.lang.Object key,
                 java.lang.String v)

    - #### set

          public void set(java.lang.Object key,
                 boolean v)

    - #### set

          public void set(java.lang.Object key,
                 long v)

    - #### set

          public void set(java.lang.Object key,
                 double v)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.